OptStrTokIter Class Reference

`#include <options.h>`

Inheritance diagram for OptStrTokIter:
[legend]
Collaboration diagram for OptStrTokIter:
[legend]

## Public Member Functions

| OptStrTokIter (const char *tokens, const char *delimiters=0)
virtual const char * | curr (void)
virtual void | next (void)
| next() advances to the next item.
virtual const char * | operator() (void)
virtual void | rewind (void)
| rewind() resets the "current-element" to the first one in the "list"
const char * | delimiters (void)
void | delimiters (const char *delims)
| OptStrTokIter (const char *tokens, const char *delimiters=0)
virtual const char * | curr (void)
virtual void | next (void)
| next() advances to the next item.
virtual const char * | operator() (void)
virtual void | rewind (void)
| rewind() resets the "current-element" to the first one in the "list"
const char * | delimiters (void)
void | delimiters (const char *delims)

## Detailed Description

Class to iterate through a string containing delimiter-separated tokens

## Member Function Documentation

const char * OptStrTokIter::curr | ( | void |  | ) |

virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

virtual const char* OptStrTokIter::curr | ( | void |  | ) |

virtual

curr() returns the current item in the iterator without advancing on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

const char* OptStrTokIter::delimiters | ( | void |  | ) |

inline

delimiters() with NO arguments returns the current set of delimiters, If an argument is given then it is used as the new set of delimiters.

const char* OptStrTokIter::delimiters | ( | void |  | ) |

inline

delimiters() with NO arguments returns the current set of delimiters, If an argument is given then it is used as the new set of delimiters.

const char * OptStrTokIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

virtual const char* OptStrTokIter::operator() | ( | void |  | ) |

virtual

operator() returns the current item in the iterator and then advances on to the next item. If we are at the end of items then NULL is returned.

Implements OptIterRwd.

The documentation for this class was generated from the following files:

- apps/elftosb/common/options.h
- apps/elftosb/common/options.cpp